# Wolf3d

![wolf3d screenshot](/img/wolf3d.png)

This project is inspired by the world-famous eponymous 90’s game, which
was the first FPS ever. It will enable you to explore ray-casting. Your goal will be to
make a dynamic view inside a maze, in which you’ll have to find your way.

## If you are new with minilibx

1. Go to minilibx_macos folder
2. Copy mlx.h in /usr/local/include
3. Make
4. Copy libmlx.a in /usr/local/lib

## Installation

Clone repository and then go into the created directory and run the following command:

```
make
```

## How to run program?

You can run the project with the following command:

```
./wolf3d map/normal
```

## Controls

W, A, S, D and arrows keys - move set.

F - change from texture mode to color.

Plus and minus - configure movespeed.

## Main quest

Try to find the secret room.